## com.saxonica
Class SchemaAwareXPathFactory

    java.lang.Object
      javax.xml.xpath.XPathFactory
          net.sf.saxon.xpath.XPathFactoryImpl
              com.saxonica.SchemaAwareXPathFactory

    public class SchemaAwareXPathFactory

extends XPathFactoryImpl

An implementation of the JAXP XPath Factory that creates a schema-aware configuration. This implementation is used when Saxon-SA is present, and when the object model selected is the Saxon native object model.

Field Summary

Fields inherited from class javax.xml.xpath.XPathFactory
`DEFAULT_OBJECT_MODEL_URI, DEFAULT_PROPERTY_NAME`

Constructor Summary
`SchemaAwareXPathFactory()`

Method Summary

Methods inherited from class net.sf.saxon.xpath.XPathFactoryImpl
`getConfiguration, getFeature, isObjectModelSupported, newXPath, setFeature, setXPathFunctionResolver, setXPathVariableResolver`

Methods inherited from class javax.xml.xpath.XPathFactory
`newInstance, newInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaAwareXPathFactory

    public SchemaAwareXPathFactory()

Copyright (C) Michael H. Kay. All rights reserved.